PaymentInvoice

API Explorer
loading...
POST
/v2/TableApp/PaymentInvoice

PaymentInvoice sends invoice data to the terminal for display. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.

Request Body

application/json

Response Body

application/json

application/json

curl -X POST "https://example.com/v2/TableApp/PaymentInvoice" \  -H "Content-Type: application/json" \  -d '{    "ReferenceId": "",    "InvoiceData": {      "Id": "",      "Name": "",      "TotalAmount": null,      "PaidAmount": null,      "Goods": [        {          "Name": "",          "Amount": null,          "Quantity": null        }      ],      "Payments": [        {          "ReferenceId": "",          "Name": "",          "Amount": null,          "TipAmount": null        }      ]    },    "Tpn": "",    "RegisterId": "",    "Authkey": "",    "SPInProxyTimeout": null,    "CustomFields": {}  }'
{
  "GeneralResponse": {
    "ResultCode": "0",
    "StatusCode": "0000",
    "Message": "",
    "DetailedMessage": "",
    "DelayBeforeNextRequest": null
  }
}
{
  "GeneralResponse": {
    "ResultCode": "0",
    "StatusCode": "0000",
    "Message": "",
    "DetailedMessage": "",
    "DelayBeforeNextRequest": null
  }
}